<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Form-pago</title>
    <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase.js"></script>
<script src="https://www.gstatic.com/firebasejs/5.5.2/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/5.5.2/firebase-database.js"></script>
<script src="https://www.gstatic.com/firebasejs/5.5.9/firebase.js"></script>
<script>
        // Initialize Firebase
        var config = {
          apiKey: "AIzaSyDG1Pi7Kz4PKbEy9lokqpF1BTuKSz0JUBs",
          authDomain: "proweb-b32e5.firebaseapp.com",
          databaseURL: "https://proweb-b32e5.firebaseio.com",
          projectId: "proweb-b32e5",
          storageBucket: "proweb-b32e5.appspot.com",
          messagingSenderId: "283837274469"
        };
        firebase.initializeApp(config);
      
              
              window.addEventListener('load',function(){
                  let numT=document.querySelector('#txtnumTarjeta');
                  let fechC= document.querySelector('#txtfechCaducidad');
                  let codS= document.querySelector('#txtcodSeguridad');
                  let guardar= document.querySelector('#btnguardar');
                  guardar.addEventListener('click',function(){
                  firebase.database().ref('pago/'+ numT.value ).set({
                  numT: numT.value,
                  fechC: fechC.value,
                  codS: codS.value,
                  })
                  }); 
                })
                </script>                

</head>
<body>
    <div >
        <h3>Ingresar con Tarjeta </h3>
                       <img src="https://static.vecteezy.com/system/resources/previews/000/064/484/non_2x/visa-vector-logo.jpg" height="60px"> <br>
                       <h2>Datos de pago con Tarjeta de Credito</h2>
                       <input type="text"  id="txtnumTarjeta">Numero de Tarjeta<br><br>
                        <input type="txt"  id="txtfechCaducidad">Fecha de Caducidad<br><br>
                        <input type="txt"  id="txtcodSeguridad">Codigo de Seguridad<br><br>
                        <button id="btnguardar">guardar</button>
    </div>
</body>
</html>